Package it.ernytech.tdlib

## Class TdApi.SearchPublicChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchPublicChat

Enclosing class:
  TdApi

    public static class TdApi.SearchPublicChat
    extends TdApi.Function

Searches a public chat by its username. Currently only private chats, supergroups and channels can be public. Returns the chat if found; otherwise an error is returned.

Returns `Chat`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `username` Username to be resolved.

### Constructor Summary

Constructors
`SearchPublicChat()` Default constructor.
`SearchPublicChat​(java.lang.String username)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### username

    public java.lang.String username

Username to be resolved.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchPublicChat

    public SearchPublicChat()

Default constructor.

#### SearchPublicChat

    public SearchPublicChat​(java.lang.String username)

Constructor for initialization of all fields.

Parameters:
  `username` - Username to be resolved.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR